/* sort menu */
.cul-dropdown-1 {
    --dropdown-height: 48px;
}
.cul-dropdown-1 .select-area {
    box-sizing: border-box;
    font-weight: bold;
    color: #10254b;
    border: 1px solid #c3c3c3;
    padding: 2px 0;
    border-radius: 4px;
    min-width: 180px;
    text-align: center;
    background-color: #fff;
    transition: all 0.5s ease;
    position: relative;
    font-size: 0.9rem;
    color: #474747;
    width: 100%;
    height: var(--dropdown-height);
}

.select-area:active {
    background-color: #f8f8f8;
}
.select-area.active:hover,
.select-area.active {
    border-radius: 2px 2px 0 0;
    background-color: #f8f8f8;
}
.select-area.active .select span img {
    transform: rotateZ(180deg);
}

.select-area .select {
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: 100%;
    padding: 0 5px;
}
.select-area .select span {
    padding: 0 5px;
}
.select-area .select .menu-arrow img {
    vertical-align: middle;
    width: 20px;
}

.select-area .list-menu {
    position: absolute;
    background-color: #fff;
    width: 100%;
    left: 0;
    margin-top: 1px;
    box-shadow: 0 1px 2px rgb(204, 204, 204);
    border-radius: 0 1px 2px 2px;
    overflow: hidden;
    display: none;
    overflow-y: auto;
    z-index: 2;
    max-height: 350px;
}
.select-area .list-menu li {
    transition: all 0.2s ease-in-out;
    cursor: pointer;
    font-size: 0.9rem;
    padding: 2px 5px;
    height: var(--dropdown-height);
    display: flex;
    align-items: center;
    justify-content: center;
}
.select-area .list-menu {
    padding: 0;
    list-style: none;
}
.select-area .list-menu li:hover {
    background-color: #f2f2f2;
}
.select-area .list-menu li:active {
    background-color: #e2e2e2;
}

@media screen and (max-width: 640px) {
    .cul-dropdown-1 {
        --dropdown-height: 44px;
    }
    .select-area .select {
        font-size: 0.8rem;
    }
    .select-area .list-menu li {
        font-size: 0.8rem;
    }
}
